/*_############################################################################
  _## 
  _##  SNMP4J-AgentJMX - MBeanAttributeListMOTableInfo.java  
  _## 
  _##  Copyright (C) 2006-2009  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/

package org.snmp4j.agent.mo.jmx;

import javax.management.ObjectName;

/**
 * The <code>MBeanAttributeListMOTableInfo</code> provides a mapping between
 * a multi valued MBean attribute an a single column SNMP table.
 *
 * @author Frank Fock
 * @version 1.0
 */
public class MBeanAttributeListMOTableInfo extends MBeanAttributeMOTableInfo {

  /**
   * Creates a single column SNMP table to multi valued MBean attribute mapping.
   * @param name
   *    the name of the MBean.
   * @param listProvider
   *    the key provider that provides the keys and values for the SNMP table.
   */
  public MBeanAttributeListMOTableInfo(ObjectName name,
                                       MBeanAttributeKeyProvider listProvider) {
    super(name, listProvider, null, null, new JMXSimpleArrayIndexSupport());
  }

}
